/** Vrátí datum v ISO formátu. */
export function formatDate(date: Date) {
    let currentDay = String(date.getDate()).padStart(2, '0');
    let currentMonth = String(date.getMonth() + 1).padStart(2, "0");
    let currentYear = date.getFullYear();
    return `${currentYear}-${currentMonth}-${currentDay}`;
}

/** Vrátí human-readable reprezentaci předaného data pro zobrazení. */
export function getHumanDate(date: Date) {
    let currentDay = String(date.getDate()).padStart(2, '0');
    let currentMonth = String(date.getMonth() + 1).padStart(2, "0");
    let currentYear = date.getFullYear();
    let currentDayOfWeek = date.toLocaleDateString("CZ-cs", { weekday: 'long' });
    return `${currentDay}.${currentMonth}.${currentYear} (${currentDayOfWeek})`;
}

/** Vrátí true, pokud je předané datum o víkendu. */
export function getIsWeekend(date: Date) {
    const dayName = date.toLocaleDateString("CZ-cs", { weekday: 'long' }).toLowerCase()
    return dayName === 'sobota' || dayName === 'neděle'
}